#include "BinHash.h"
#include "pHashReturnVals.h"
#include <stdint.h>
#include <stdio.h>

using namespace std;

int main(int argc, char **argv){
	BinHash hash(1);
	
	uint8_t byte = 7;
	char *binary;

	binary = hash.byte_to_binarystring(byte);
	printf("%i in binary is >%s<\n", byte, binary);

	uint8_t *byteptr = &byte;
	hash.set_hash(byteptr);
	hash.print();

	BinHash hashb(2);
	
	for(int i = 0; i < 17; i++)
	{
		if (hashb.addbit(1) != PHO_SUCCESS)
		{
			printf("ERROR when adding bit to hash!");
			break;
		}
		printf("added %i bits:\t",i+1);
		hashb.print();
	}

	return 0;
}

