/*

    pHash, the open source perceptual hash library
    Copyright (C) 2009 Aetilius, Inc.
    All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Christoph Zauner

	Used to test the DCT image hash.
*/

#include <stdio.h>
#include "pHash.h"

int main(int argc, char **argv){

	char *file1 = "/tmp/rihamark_attacked/a.png";
	char *file2 = "/tmp/rihamark_attacked/b.png";
	char *file3 = "/tmp/rihamark_attacked/c.png";
    
	ulong64 hash1;
	ulong64 hash2;
	ulong64 hash3;
	
	ph_dct_imagehash(file1, hash1);
	ph_dct_imagehash(file2, hash2);
	ph_dct_imagehash(file3, hash3);

	printf("hash1: %i\n", hash1);
	printf("hash2: %i\n", hash2);
	printf("hash3: %i\n", hash3);

    return 0;
}
